Mmap (Tomcat API Documentation)
Keywords: org.apache.tomcat.jni.Mmap class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Class Mmap

    java.lang.Object
      org.apache.tomcat.jni.Mmap

    public class Mmap

extends java.lang.Object

Mmap

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Mladen Turk

Field Summary
`static int` | `APR_MMAP_READ` MMap opened for reading
`static int` | `APR_MMAP_WRITE` MMap opened for writing

Constructor Summary
`Mmap()`

Method Summary
`static long` | `create(long file, long offset, long size, int flag, long pool)` Create a new mmap'ed file out of an existing APR file.
`static int` | `delete(long mm)` Remove a mmap'ed.
`static long` | `dup(long mmap, long pool)` Duplicate the specified MMAP.
`static long` | `offset(long mm, long offset)` Move the pointer into the mmap'ed file to the specified offset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APR_MMAP_READ

    public static final int APR_MMAP_READ

  MMap opened for reading

  See Also:
    Constant Field Values

### APR_MMAP_WRITE

    public static final int APR_MMAP_WRITE

  MMap opened for writing

  See Also:
    Constant Field Values

Constructor Detail

### Mmap

    public Mmap()

Method Detail

### create

    public static long create(long file,
                              long offset,
                              long size,
                              int flag,
                              long pool)
                       throws Error

  Create a new mmap'ed file out of an existing APR file.

  Parameters:
    `file` - The file turn into an mmap.
    `offset` - The offset into the file to start the data pointer at.
    `size` - The size of the file
    `flag` - bit-wise or of:

         APR_MMAP_READ       MMap opened for reading
         APR_MMAP_WRITE      MMap opened for writing

    `pool` - The pool to use when creating the mmap.
  Returns:
    The newly created mmap'ed file.
  Throws:
    `Error`

### dup

    public static long dup(long mmap,
                           long pool)
                    throws Error

  Duplicate the specified MMAP.

  Parameters:
    `mmap` - The mmap to duplicate.
    `pool` - The pool to use for new_mmap.
  Returns:
    Duplicated mmap'ed file.
  Throws:
    `Error`

### delete

    public static int delete(long mm)

  Remove a mmap'ed.

  Parameters:
    `mm` - The mmap'ed file.

### offset

    public static long offset(long mm,
                              long offset)
                       throws Error

  Move the pointer into the mmap'ed file to the specified offset.

  Parameters:
    `mm` - The mmap'ed file.
    `offset` - The offset to move to.
  Returns:
    The pointer to the offset specified.
  Throws:
    `Error`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.